import RPi.GPIO as GPIO
import time
import snapcast.control

SENSOR_PIN = 7


def measure_brightness(pin_to_circuit):
    '''Measure brightness using photoresistor-capacitor circuit.'''
    charge_time = 0

    GPIO.setup(pin_to_circuit, GPIO.OUT)
    GPIO.output(pin_to_circuit, GPIO.LOW)
    time.sleep(0.1)

    GPIO.setup(pin_to_circuit, GPIO.IN)

    while (GPIO.input(pin_to_circuit) == GPIO.LOW):
        charge_time += 1

    return 1/charge_time


def dark_mute():
    GPIO.setmode(GPIO.BOARD)
    try:
        while True:
            print(measure_brightness(SENSOR_PIN))
    except KeyboardInterrupt:
        pass
    finally:
            GPIO.cleanup()


if __name__ == '__main__':
    dark_mute()
